Package twisted :: Package internet :: Module ssl :: Class Server

[frames | no frames]

## Class Server

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                    Server --+
                             |
                            Server

I am an SSL server.

Method Summary
| ``getHost`(self)` Return server's address.
| ``getPeer`(self)` Return address of peer.
Inherited from Server
| ``__init__`(self, sock, protocol, client, server, sessionno)` Server(sock, protocol, client, server, sessionno)
| ``__repr__`(self)` A string representation of this connection.
| ``startTLS`(self, ctx, server)`
Inherited from Connection
| ``_closeSocket`(self)` Called to close our socket.
| ``_startTLS`(self)`
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost().
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data.
| ``getHandle`(self)` Return the socket for this connection.
| ``getTcpKeepAlive`(self)`
| ``getTcpNoDelay`(self)`
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread.
| ``setTcpKeepAlive`(self, enabled)`
| ``setTcpNoDelay`(self, enabled)`
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative)
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`tuple` | `__implements__` = `(((<class twisted.internet.interfaces.I...`
Inherited from Connection
`str` | `logstr` = `'Uninitialized'`
`int` | `TLS` = 0
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### getHost(self)

Return server's address.

  Overrides:
    `twisted.internet.tcp.Server.getHost`

### getPeer(self)

Return address of peer.

  Overrides:
    `twisted.internet.tcp.Server.getPeer`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (((<class twisted.internet.interfaces.IProducer at 0x827b064>,
           <class twisted.internet.interfaces.IReadWriteDescriptor at 0x827d20\
        c>,
           <class twisted.internet.interfaces.IConsumer at 0x824feb4>,
           <class twisted.internet.interfaces.ITransport at 0x8254024>),
          <class twisted.internet.interfaces.ITCPTransport at 0x8241624>,
          <class twisted.internet.interfaces.ISystemHandle at 0x827cf14>,
          <class twisted.internet.interfaces.ITLSTransport at 0x8241654>),
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net